MACRO BOOST_PR(3)

NAME
BOOST_PROTO_typename_A - Generates sequences like typename A0, typename A1, ... typename AN-1 .

SYNOPSIS

// In header: <boost/proto/repeat.hpp>
BOOST_PROTO_typename_A(N)

DESCRIPTION

Intended for use with the BOOST_PROTO_REPEAT() and BOOST_PROTO_LOCAL_ITERATE() macros.

BOOST_PROTO_typename_A(N) generates sequences like:

    typename A0, typename A1, ... typename AN-1